fedora-comps/ci/validate-comps
Adam Williamson 076138efdd Fix the validate-comps git status check
...this is how you do that.

Signed-off-by: Adam Williamson <awilliam@redhat.com>
2023-04-24 10:50:37 -07:00

29 lines
509 B
Bash
Executable File

#!/usr/bin/bash
set -euxo pipefail
main() {
failure=0
make sort > /dev/null 2>&1 || {
echo "Sort failed!"
((failure+=1))
}
make validate || {
echo "Validate failed!"
((failure+=1))
}
# Fail if any changes were made to the repo
if [[ -n $(git status --short) ]]; then
echo "git status failed!"
((failure+=1))
fi
if [[ $failure -gt 0 ]]; then
echo "${failure} check(s) failed!"
exit 1
fi
}
main "${@}"